import { DataTypes, Model } from "sequelize";
import sequelize from "../database/database";

interface WebsiteAttributes {
  website_id: string;
  store_id: string;
}

class Website extends Model<WebsiteAttributes> implements WebsiteAttributes {
  declare website_id: string;
  declare store_id: string;
}

Website.init(
  {
    website_id: {
      type: DataTypes.STRING,
      primaryKey: true,
    },
    store_id: {
      type: DataTypes.STRING,
      allowNull: false,
    },
  },
  {
    sequelize,
    tableName: "websites",
    createdAt: "created_at",
    updatedAt: "updated_at",
  }
);

export default Website;
